@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
h1,
h3,
.h3 {
  font-family: "Poppins", sans-serif;
  font-weight: 600 !important;
  font-style: normal;
  letter-spacing: 0.3px;
  line-height: 33px;
}
h2 {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
  letter-spacing: 0.3px !important;
  line-height: 33px;
}
.cta-text {
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
  letter-spacing: 0.3px !important;
  line-height: 50px;
}
/*------------ header ----------------*/
.brand-logo {
  max-width: 100%;
  max-height: 100px;
  min-height: 65px;
  height: 65px;
  margin: 15px 0px 15px 0px;
}
.logo-ms {
  max-width: 100%;
  max-height: 100px;
  min-height: 47px;
  height: 47px;
  margin: 5px 0px 5px 0px;
  padding-right: 15px;
  filter: brightness(50);
}
.menu-center {
  margin: 0 auto;
}
.nav-item .nav-link {
  color: #000;
  font-style: normal;
  letter-spacing: 0.3px;
  font-weight: 400;
}
.nav-item .nav-link:hover,
.navbar-expand-lg.navbar-light
  .dropdown:not(.dropdown-submenu)
  > .dropdown-toggle:hover:after {
  color: #060e62;
}
.dropdown-item {
  color: #000;
  font-style: normal;
  letter-spacing: 0.2px;
  font-weight: 400;
}
.dropdown-item:hover {
  color: #060e62;
}
/*------------ header end----------------*/

/*------------ banner----------------*/
.hero-slider {
  border-bottom: 1px solid #0000001c;
  border-top: 1px solid #0000001c;
}
.banner-img {
  width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
  margin: 0 auto;
}
.swiper-hero,
.swiper-hero .swiper,
.swiper-hero .swiper-wrapper,
.swiper-hero .swiper-slide {
  height: fit-content !important;
}
.swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
}
.swiper-container.dots-over
  .swiper-pagination
  .swiper-pagination-bullet.swiper-pagination-bullet-active {
  border-color: rgba(0, 0, 0, 0.644);
}
.swiper-container.dots-over .swiper-pagination .swiper-pagination-bullet {
  background: rgba(0, 0, 0, 0.644);
}
.swiper-container.dots-over .swiper-pagination {
  bottom: 1rem;
}
/*------------ banner end----------------*/

/*----------- Who We Are ------------ */
.who-we-bg {
  position: relative;
  overflow: hidden;
  background-image: url("../img/black_wavy_lines_background.jpg");
  background-repeat: repeat;
  background-position: center center;
  background-size: cover;
}
.who-we-bg::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgb(255 255 255 / 78%);
  z-index: 1;
}
.who-we-bg > .container {
  position: relative;
  z-index: 2;
}
.about-img-border {
  position: relative;
  display: inline-block;
}
.about-img-border img {
  position: relative;
  z-index: 2;
  border-radius: 12px;
}
.about-img-border::before {
  content: "";
  position: absolute;
  top: 5px;
  right: -36px;
  width: 100px;
  height: 100px;
  border-top: 2px solid #e31e23;
  border-right: 2px solid #e31e23;
  z-index: 1;
}
.about-img-border::after {
  content: "";
  position: absolute;
  bottom: -12px;
  left: -12px;
  width: 100px;
  height: 100px;
  border-bottom: 2px solid #e31e23;
  border-left: 2px solid #e31e23;
  z-index: 1;
}
.learn-more-link {
  display: inline-block;
  font-weight: 600;
  color: #e31e23;
  text-decoration: none;
  transition: all 0.3s ease;
}
.learn-more-link:hover {
  color: #f57c00;
  text-decoration: none;
}
/*---------- Who We Are ----------*/
/*---------- video ----------*/
.video-container video {
  width: 100%;      
  height: auto;    
  aspect-ratio: 16 / 9; 
  object-fit: cover; 
}
.plyr__poster {
  background-color: #fffbfb;
}
/*---------- video ----------*/
/*---------- Indus ---------*/
.industry-card{
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  cursor: pointer;
}

/* Image */
.industry-card img{
  width: 100%;
  height: 200px;
  object-fit: cover;
  transition: transform 0.5s ease;
}

/* Overlay */
.industry-overlay{
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.473);
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px;
  text-align: center;
  opacity: 0;
  transition: opacity 0.4s ease;
}
.industry-overlay h5{
  color:#fff;
}
/* Hover effects */
.industry-card:hover img{
  transform: scale(1.1);
}

.industry-card:hover .industry-overlay{
  opacity: 1;
}

/* Link style */
.industry-more-link{
  color: #ffc107;
  text-decoration: none;
  font-weight: 600;
  margin-top: 1px;
}
.industry-link{
  text-decoration: none;
  color: inherit;
  display: block;
}
.industry-more-link:hover{
  text-decoration: underline;
  text-underline-offset: 4px;
}
/* Make all swiper slides equal height */
.swiper-slide.industry-product-slide {
  display: flex;
  justify-content: center;
}

/* Keep figure vertical */
.swiper-slide.industry-product-slide figure {
  width: 100%;
  text-align: center;
}

/* FIX IMAGE SIZE */
.swiper-slide.industry-product-slide figure img {
  width: 100%;
  height: 220px;        /* 👈 Adjust this value */
  object-fit: contain;  /* or use 'cover' */
}

/* FIX CAPTION HEIGHT */
.swiper-slide.industry-product-slide figcaption {
  min-height: 60px;     /* 👈 Keeps all captions same height */
}
.swiper-slide.industry-product-slide:hover figure .item-link{
  right: 3rem;
}

.swiper-slide.industry-product-slide figure .item-link{
  bottom: 3rem;
}
/*---------- Indus ---------*/
/*---------- our-product ---------------*/
.bg-light-gray {
  background-color: #fbfbfb;
}
.swiper-slide.product:hover .post-title a {
  color: #060e62 !important;
}
/*------------ our-product -----------*/

/*------------ industries we serve -------------------*/
.strength-planing-service {
  position: relative;
  transition: all 0.3s ease-in-out;
}
.strength-planing-section {
  position: relative;
}
.strength-planing-section,
.strength-planing-service,
.strength-planing-section-columns {
  float: left;
  width: 100%;
}
.margin-bottom {
  margin-bottom: 30px;
}
.dotts-sec span {
  display: inline-block;
  height: 5px;
  position: relative;
  width: 5px;
}
.strength-col {
  border: 1px solid #efeeee;
  float: left;
  padding: 27px 17px;
  width: 84%;
  background-color: #c6dce942;
}
.strength-planing-service:hover a i {
  background-color: #e31e23;
  color: #fff;
  transition: all 0.3s ease-in-out;
}
.strength-planing-service:hover .strength-col {
  border-color: #e31e23;
}
.strength-col p {
  color: #8e8e8e;
  font-size: 14px;
}
.strength-planing-service a {
  color: #9b9b9b;
  display: inline-block;
  position: relative;
}
.strength-planing-service a i {
  background-color: #f6f6f6;
  box-shadow: 0 0 1px 0 rgba(0, 0, 0, 0.3);
  display: inline-block;
  float: right;
  font-size: 41px;
  height: 75px;
  line-height: 75px;
  position: absolute;
  right: -69px;
  text-align: center;
  top: 20px;
  width: 85px;
}
.strength-planing-service a i::after {
  border-color: transparent transparent #e3e3e3;
  border-style: solid;
  border-width: 0 0 9px 16px;
  content: "";
  height: 0;
  left: 0;
  position: absolute;
  top: -9px;
  width: 0;
}
.right-side-plan .strength-col {
  padding: 27px 17px 27px 36px;
  background-color: #d8bedc3b;
}
.pull-right {
  float: right !important;
}
.right-side-plan a i {
  right: -84px;
}
.right-side-plan a i::after {
  border-color: transparent transparent transparent #e3e3e3;
  border-style: solid;
  border-width: 9px 0 0 16px;
  content: "";
  height: 0;
  margin: 0 0 0 auto;
  position: absolute;
  right: 1px;
  top: -9px;
  width: 0;
}
.right-side-items-sections .right-side-plan .strength-col {
  margin-right: 0;
}
.right-side-items-sections .right-side-plan a i {
  right: -84px;
}
.strength-col {
  position: relative;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: #fff;
  overflow: hidden;
}
.strength-col::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgb(0 0 0 / 55%);
  z-index: 0;
}
.strength-col h5,
.strength-col p,
.strength-col a {
  position: relative;
  z-index: 1;
  color: #fff;
}
.automotive-bg {
  background-image: url("../img/home/industries/automotive.jpg");
}
.manufacturing-bg {
  background-image: url("../img/home/industries/manufacturing.jpg");
}
.aerospace-bg {
  background-image: url("../img/home/industries/aerospace.jpg");
}
.textile-bg {
  background-image: url("../img/home/industries/textile-industry.jpg");
}
.oil-gas-bg {
  background-image: url("../img/home/industries/oils.jpg");
}
.power-bg {
  background-image: url("../img/home/industries/power-generation.jpg");
}
.food-bg {
  background-image: url("../img/home/industries/food-beverage.jpg");
}
.pharma-bg {
  background-image: url("../img/home/industries/pharmaceuticals.jpg");
}
.strength-col h5,
.strength-col p,
.strength-col a {
  opacity: 0;
  transform: translateY(15px);
  transition: all 0.35s ease;
}
.strength-col::before {
  opacity: 0;
  transition: opacity 0.35s ease;
}
.strength-planing-service:hover .strength-col::before {
  opacity: 1;
}
.strength-planing-service:hover .strength-col h5,
.strength-planing-service:hover .strength-col p,
.strength-planing-service:hover .strength-col a {
  opacity: 1;
  transform: translateY(0);
}
.strength-col {
  transition: transform 0.4s ease;
}
.strength-planing-service:hover .strength-col {
  transform: scale(1.03);
}
.strength-section-image {
  position: relative;
  overflow: hidden;
  min-height: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.strength-image-slider {
  display: flex;
  width: 400%;
  animation: slideProducts 16s infinite ease-in-out;
}
.strength-image-slider img {
  width: 100%;
  max-width: 100%;
  flex: 0 0 100%;
  object-fit: contain;
}
@keyframes slideProducts {
  0% {
    transform: translateX(0%);
  }
  20% {
    transform: translateX(0%);
  }

  25% {
    transform: translateX(-100%);
  }
  45% {
    transform: translateX(-100%);
  }

  50% {
    transform: translateX(-200%);
  }
  70% {
    transform: translateX(-200%);
  }

  75% {
    transform: translateX(-300%);
  }
  95% {
    transform: translateX(-300%);
  }

  100% {
    transform: translateX(0%);
  }
}
/*------------ industries we serve -------------------*/

/*------------- Footer ------------------*/
.widget ul li a {
  color: #444;
  text-decoration: none;
  position: relative;
  transition:
    color 0.3s ease,
    padding-left 0.3s ease;
}
.widget ul li a:hover {
  color: #060e62;
  padding-left: 6px;
}
.widget ul li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -3px;
  width: 0%;
  height: 2px;
  background-color: #e31e23;
  transition: width 0.3s ease;
}
.widget ul li a:hover::after {
  width: 100%;
}
.footer-bg {
  background:
    linear-gradient(rgba(240, 240, 240, 0.90), rgba(240, 240, 240, 0.90)),
    url("../img/footer-bg.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

/*------------- Footer ------------------*/

/*----------- body-bg ------------*/
body {
  background-color: #fffdfd;
  background-image:
    linear-gradient(
      30deg,
      rgba(180, 30, 40, 0.02) 12%,
      transparent 12.5%,
      transparent 87%,
      rgba(180, 30, 40, 0.02) 87.5%,
      rgba(180, 30, 40, 0.02)
    ),
    linear-gradient(
      150deg,
      rgba(180, 30, 40, 0.02) 12%,
      transparent 12.5%,
      transparent 87%,
      rgba(180, 30, 40, 0.02) 87.5%,
      rgba(180, 30, 40, 0.02)
    ),
    linear-gradient(
      90deg,
      rgba(180, 30, 40, 0.015) 2%,
      transparent 2%,
      transparent 98%,
      rgba(180, 30, 40, 0.015) 98%
    );
  background-size: 40px 70px;
}
/*----------- body-bg ------------*/

/*-----------  pre-loader ------------*/
#preloader {
  position: fixed;
  inset: 0;
  background: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 99999;
  transition:
    opacity 0.6s ease,
    visibility 0.6s ease;
}
.logo-loader {
  position: relative;
  padding: 24px;
  border-radius: 0px;
  background: #000;
  width: 400px;
  height: 200px;
  display: flex;
  align-items: center;
  justify-content: center;
}
#preloader.loaded {
  opacity: 0;
  visibility: hidden;
}
.logo-loader img {
  position: absolute;
  width: 34%;
  height: auto;
  top: 15%;
  transform: translateY(-50%) rotate(0deg);
  opacity: 0;
  z-index: 2;
}
.product-1 {
  left: -5%;
  animation: slideLeftRotate 1s ease forwards 0.2s;
}
.product-2 {
  left: 50%;
  animation: slideCenterRotate 1s ease forwards 0.4s;
}
.product-3 {
  left: 72%;
  animation: slideRightRotate 1s ease forwards 0.6s;
}
.logo {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.5);
  opacity: 0;
  z-index: 3;
  animation: zoomFadeIn 0.8s forwards 1s;
}
.logo-loader img.logo {
  width: 100%;
  height: auto;
  top: 166%;
}
@keyframes zoomFadeIn {
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.5); /* start small */
  }
  100% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1); /* final size */
  }
}
@keyframes slideLeftRotate {
  0% {
    transform: translate(-150%, -50%) rotate(-90deg);
    opacity: 0;
  }
  100% {
    transform: translateX(0) translateY(-50%) rotate(0deg);
    opacity: 1;
  }
}
@keyframes slideCenterRotate {
  0% {
    transform: translate(0%, -150%) rotate(180deg);
    opacity: 0;
  }
  100% {
    transform: translateX(-50%) translateY(-50%) rotate(0deg);
    opacity: 1;
  }
}
@keyframes slideRightRotate {
  0% {
    transform: translate(150%, -50%) rotate(90deg);
    opacity: 0;
  }
  100% {
    transform: translateX(0) translateY(-50%) rotate(0deg);
    opacity: 1;
  }
}

/*-----------  pre-loader ------------*/

/*-------------btn-text-----------------------*/
.btn-red,
.navbar-stick .btn-red {
  background-color: #e31e23 !important;
  color: white !important;
  border-color: #e31e23 !important;
  letter-spacing: 0.3px !important;
  font-style: normal !important;
}
.btn-red:hover,
.navbar-stick .btn-red:hover {
  background-color: #060e62 !important;
  color: white !important;
  border-color: #060e62 !important;
}
.red-text {
  color: #e31e23;
}
.blue-text {
  color: #060e62;
}
.no-btn-red {
  background-color: #e31e23;
}
.no-btn-blue {
  background-color: #060e62;
}
.btn-blue {
  background-color: #060e62 !important;
  color: white !important;
  border-color: #060e62 !important;
}
.btn-blue:hover {
  background-color: #e31e23 !important;
  color: white !important;
  border-color: #e31e23 !important;
}
.black-text {
  color: #000;
}
.btn-red-move.btn-expand:before {
  background-color: #e31e23;
}
.btn-red-move.btn-expand {
  color: #e31e23;
}
/*-------------btn-text-----------------------*/

/*-----company-------------*/
.bg-image {
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;
}

.banner-overlay::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 82%); /* adjust darkness here */
}
.overlay-about-image {
  width: 100%;
  display: block;
  background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6));
  filter: brightness(70%);
}
.heading-with-lines {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
}
.heading-with-lines::before {
  content: "";
  flex: 1;
  height: 1px;
  max-width: 172px;
  background: linear-gradient(to left, rgb(223 23 23), rgba(185, 59, 59, 0.25));
}
.heading-with-lines::after {
  content: "";
  flex: 1;
  height: 1px;
  max-width: 172px;
  background: linear-gradient(
    to right,
    rgb(223 23 23),
    rgba(185, 59, 59, 0.25)
  );
}
/*-------------resources------------*/
.download-btn {
  background-color: #dc3545; /* red */
  color: #ffffff;
  padding: 8px 41px;
  border-radius: 6px;
  text-decoration: none;
  display: inline-block;
  font-weight: 600;
  transition: background-color 0.3s ease;
}

.download-btn:hover {
  background-color: #060e62; /* blue */
  color: #ffffff;
}
.avatar {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 36px;
  height: 36px;
  min-width: 36px; /* IMPORTANT for mobile */
  min-height: 36px;
  border-radius: 50%;
  line-height: 1;
}
.overlay span.bg {
  background: rgb(30 34 40 / 36%);
}
.brochure-link {
  display: block;
  transition: transform 0.3s ease;
}
.brochure-link:hover {
  transform: translateY(-6px);
}
.brochure-link:hover .overlay .bg {
  opacity: 0.5;
}
.brochure-link:hover figcaption h5 {
  transform: translateY(0);
  opacity: 1;
}
.brochure-link:hover .red-text {
  text-decoration: underline;
  text-underline-offset: 5px;
  color:#060e62;
}
/*-------------resources------------*/
/*----------contact----------------*/
.contact-phone:hover {
  color: #e31e23;
}
/*----------Products list--------------*/
.product-card {
  background-color: transparent;
  box-shadow: none;
  border: 1px solid transparent;
  transition:
    transform 0.4s ease-in-out,
    box-shadow 0.4s ease-in-out,
    border-color 0.4s ease-in-out;
  border-radius: 0px;
}
.product-card:hover {
  transform: translateY(-8px) scale(1.03);
  box-shadow: 0 12px 24px rgba(0, 0, 0, 0.1);
  border-color: #e31e23;
}
.product-card:hover img {
  transform: scale(1.04);
}
.product-card img {
  transition: transform 0.4s ease-in-out;
}
.product-img-padding {
  padding: 64px 64px 64px 64px;
}
.product-body {
  padding-top: 0px;
}
.product-card:hover .product-body .card-title {
  color: #e31e23;
}
/*----------Products list--------------*/

/*----------Product Detail--------------*/
.breadcrumb-item a:hover {
  color: #e31e23;
}
.product-name {
  line-height: 30px;
}
.table > :not(caption) > * > * {
  padding: 0.4rem 2rem;
}
.nav-tabs.nav-tabs-basic .nav-link.active,
.nav-tabs.nav-tabs-basic .nav-item.show .nav-link {
  color: #e31e23;
  border-color: #e31e23;
}
/*----------- Product Detail ---------------*/

/* Medium screens and up: button style */

/*------------ media-query ----------------*/
@media (min-width: 1024px) {
  .about-position {
    justify-content: space-around;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .navbar-expand-lg:not(.hover-none)
    .navbar-nav
    .dropdown:not(.dropdown-submenu):hover
    > .dropdown-menu {
    top: 100%;
    left: -128px;
  }
}
@media (max-width: 1399px) {
  .strength-planing-service a i::after {
    display: none;
  }
  .right-side-plan a i::after {
    display: none;
  }
  .strength-planing-service a i {
    top: 36px;
  }
  .right-side-items-sections .right-side-plan a i {
    right: -79px;
  }
}
@media (max-width: 1024px) {
  .about-position {
    justify-content: center;
  }
}
@media (max-width: 991px) {
  .why-us-content {
    margin-top: 0px;
    margin-left: 0px;
  }
  .badge-layer {
    right: 0px;
  }
}
@media (max-width: 767px) {
  .swiper-container.dots-over .swiper-pagination {
    bottom: 0.1rem;
  }
  .pull-right.small {
    float: left !important;
  }
  .strength-col.pull-small {
    float: right !important;
    padding-left: 36px;
  }
  .right-side-plan a i.small-icon-pos {
    right: -99px;
  }
  .right-side-items-sections .right-side-plan a i.fa-icon-small {
    right: -70px;
  }
  .right-side-plan a i.fa-icon-small::after {
    border-color: transparent transparent #e3e3e3;
    border-width: 0px 0px 9px 16px;
    top: -9px;
    right: 70px;
  }
  .strength-planing-service a i.small-icon-pos {
    right: -98px;
  }
  .strength-planing-service a i.small-icon-pos::after {
    border-color: transparent transparent transparent #e3e3e3;
    border-width: 9px 0 0 16px;
    left: 69px;
    top: -9px;
  }
  .footer-bg {
    background-position: right center;
  }
  /* Mobile (default): text link only */
  /* .download-responsive {
    background: none;
    padding: 0;
    border: none;
    box-shadow: none;
    color: inherit;
    text-decoration: underline;
    font-weight: 500;
  } */
}
@media (max-width: 575px) {
  .about-img-border::before {
    top: -12px;
    right: -12px;
  }
  .swiper-container.blog .swiper-controls .swiper-pagination {
    bottom: -1.8rem;
    position: absolute !important;
    pointer-events: all;
  }
}
@media (max-width: 450px) {
  .logo-loader img {
    position: absolute;
    width: 30%;
    height: auto;
    top: 24%;
    transform: translateY(-50%) rotate(0deg);
    opacity: 0;
    z-index: 2;
  }
  .product-1 {
    left: 3%;
  }
  .product-2 {
    left: 50%;
  }
  .product-3 {
    left: 67%;
  }
  .logo-loader img.logo {
    top: 160%;
  }
}
@media (max-width: 425px) {
  .brand-logo {
    min-height: 55px;
    height: 55px;
    margin: 5px;
  }
  .why-us-content {
    height: 785px;
  }
  .strength-planing-service a i.small-icon-pos {
    right: -81px;
  }
  .heading-with-lines {
    gap: 5px;
  }
}
@media (max-width: 375px) {
  .why-us-content {
    height: 748px;
  }
  .why-us-inner {
    top: 52%;
    padding: 20px 20px 20px 33px;
  }
  .strength-planing-service a i {
    right: -56px;
  }
  .right-side-items-sections .right-side-plan a i.fa-icon-small {
    right: -56px;
  }
  .badge-layer {
    border-left: none;
  }
  .logo-loader img.logo {
    top: 135%;
  }
}
@media (max-width: 320px) {
  .why-us-content {
    height: 920px;
  }
  .why-us-inner {
    top: 53%;
  }
}

.progress-wrap:after {
  color: #e31e23;
}

